Distribution:	CCux
Packager:  	Christian Metzen <metzench@ccux-linux.de>

Summary:   	gFTP is a free multithreaded ftp client
Name:      	gftp
Version:   	2.0.19
Release:   	1
Epoch:		1
Provides:	gftp
License: 	GNU/GPL
URL:		http://www.gftp.org
Group:     	Networking/File Transfer   
Source0: 	gftp-%{version}.tar.bz2
Source1: 	gftp.desktop
# don't include stropts.h as it was removed from glibc
Patch0:		gftp-stropts.patch
BuildRoot: 	%{_tmppath}/%{name}-buildroot

#Automatically resolved build dependencies
BuildRequires: atk-devel
BuildRequires: cairo-devel
BuildRequires: fontconfig-devel
BuildRequires: freetype-devel
BuildRequires: glibc-devel
BuildRequires: glib-devel
BuildRequires: gtk2+-devel
BuildRequires: ncurses-devel
BuildRequires: openssl-devel
BuildRequires: pango-devel
BuildRequires: readline-devel
BuildRequires: zlib-devel

%description
gFTP is a free multithreaded ftp client.

%prep
%setup -n gftp-%{version}
%patch0 -p1

%build
./configure --prefix=%_prefix --mandir=%_mandir --disable-debug
make

%install
make install-strip DESTDIR=$RPM_BUILD_ROOT
install -m 644 %{SOURCE1} $RPM_BUILD_ROOT/usr/share/applications

%files
%defattr(-,root,root)
/*

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Wed Feb 25 2009 Karsten Brockmann <arcam@ccux-linux.de> 2.0.19-1
- Version update
* Sun Jul 10 2005 Karsten Brockmann <brockmka@rz.fh-augsburg.de> 2.0.18-4
- rebuilt against openssl 0.9.8
* Mon Apr 18 2005 Christian Metzen <metzench@ccux-linux.de> 2.0.18-3
- Recompilation against readline 5.0
* Sat Feb 05 2005 Christian Metzen <metzench@ccux-linux.de> 2.0.18-2
- Fixed .desktop File
* Sat Feb 05 2005 Christian Metzen <metzench@ccux-linux.de> 2.0.18-1
- Version Update to 2.0.18
* Wed Jan 12 2005 Christian Metzen <metzench@ccux-linux.de> 2.0.18rc1-1
- Version Update to 2.0.18rc1
* Sun Apr 18 2004 Christian Metzen <metzench@ccux-linux.de> 2.0.17-1
- Initial Release
